{% extends '_base.html' %}
{% load static %}
{% block title %}Home{% endblock title %}

{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            IFP Overview
        </p>
        <p class="subtitle">
            Institute at a glance
        </p>
    </div>
</section>


<section class="section">
    <div class="columns is-multiline is-centered">

        <div class="column is-two-thirds">

            <div class="box">
                <h1 class="title is-size-5">Ongoing Missions</h1>
                <h2 class="subtitle"></h2>
            </div>
            <div class="box">
                <h1 class="title is-size-5">Upcoming Missions</h1>
                <h2 class="subtitle"></h2>
            </div>
        {% if user.is_superuser %}
            <div class="box">
                <h1 class="title is-size-5">On leave today</h1>
                <h2 class="subtitle"></h2>
                <br>
                {% if leaves_today %}
                <table class="table">
                    <tr>
                        <th>From</th>
                        <th>To</th>
                        <th>Name</th>
                        <th>Department</th>
                    </tr>
                    {% for leave in leaves_today %}
                    <tr>
                        <td> {{leave.from_date}}</td>
                        <td> {{leave.to_date}}</td>
                        <td> {{leave.applied_by.first_name}} {{leave.applied_by.last_name}}</td>
                        <td> 
                            {% for dep in leave.applied_by.department.all %}
                            {{dep.name}}
                            {% endfor %} 
                        </td>
                    </tr>
                    {% endfor %}
                </table>
                {% else %}
                <p>No announced leaves</p>
                {% endif %}
            </div>
            <div class="box">
                <h1 class="title is-size-5">On leave tomorrow</h1>
                <h2 class="subtitle"></h2>
                <br>
                {% if leaves_tomorrow %}
                <table class="table">
                    <tr>
                        <th>From</th>
                        <th>To</th>
                        <th>Name</th>
                        <th>Department</th>
                    </tr>
                    {% for leave in leaves_tomorrow %}
                    <tr>
                        <td> {{leave.from_date}}</td>
                        <td> {{leave.to_date}}</td>
                        <td> {{leave.applied_by.first_name}} {{leave.applied_by.last_name}}</td>
                    </tr>
                    {% endfor %}
                </table>
                {% else %}
                <p>No announced leaves tomorrow</p>
                {% endif %}

            </div>
            <div class="box">
                <h1 class="title is-size-5">Leave approvals</h1>
                <h2 class="subtitle"></h2>
                <br>
                {% if leaves %}
                <table class="table">
                    <tr>
                        <th>From</th>
                        <th>To</th>
                        <th>Number of Days</th>
                        <th>Leave Type</th>
                        <th>Applied By</th>
                        <th>Applied At</th>
                        <th>Action</th>
                    </tr>
                    {% for leave in leaves %}
                    <tr>
                        <form action={% url 'approve_leave' %} method="POST">
                            {% csrf_token %}
                            <input type="hidden" name="leave-id" value="{{leave.id}}">
                            <td> {{leave.from_date}}</td>
                            <td> {{leave.to_date}}</td>
                            <td> {{leave.days|floatformat}} </td>
                            <td>
                                {% if leave.leave_type == "Casual" %}
                                <span class="tag is-warning is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                {% elif leave.leave_type == "Medical" %}
                                <span class="tag is-danger is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                {% elif leave.leave_type == "Compensation" %}
                                <span class="tag is-success is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                {% else %}
                                <span class="tag is-info is-light is-medium is-rounded">{{leave.leave_type}}</span>
                                {% endif %}
                            </td>
                            <td> {{leave.applied_by.first_name}} {{leave.applied_by.last_name}}</td>
                            <td> {{leave.applied_at}}</td>
                            <td>
                                <button type="submit" class="button is-success is-small">Approve</button>
                        </form>
                        <br>
                            <a href="{% url 'leave_reject' id=leave.id %}">
                                <button class="button is-small is-danger mt-1">Reject</button>
                            </a>
                        </td>
                    </tr>
                    {% endfor %}
                </table>
                {% else %}
                <p>No leave pending approval</p>
                {% endif %}
            </div>
            <div class="box">
                <h1 class="title is-size-5">Expiring contracts</h1>
                <h2 class="subtitle"></h2>
            </div>
            <div class="box">
                <h1 class="title is-size-5">Emails expiring soon</h1>
                <h2 class="subtitle"></h2>
                <br>
                {% if email_expiring %}
                <table class="table">
                    <tr>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Expiry date</th>

                    </tr>
                    {% for user in email_expiring %}
                    <tr>
                        <form>
                            {% csrf_token %}
                            <input type="hidden" name="leave-id" value="{{leave.id}}">
                            <td> {{user.first_name}} {{user.last_name}}</td>
                            <td> {{user.email}}</td>
                            <td> {{user.mail_expiry}}</td>

                        </form>
                    </tr>
                    {% endfor %}
                </table>
                {% else %}
                <p>No emails expiring soon</p>
                {% endif %}
            </div>
            <div class="box">
                <h1 class="title is-size-5">Expired Email</h1>
                <h2 class="subtitle"></h2>
                <br>
                {% if email_expired %}
                <table class="table">
                    <tr>
                        <th>Name</th>
                        <th>Email</th>
                        <th>Expiry date</th>

                    </tr>
                    {% for user in email_expired %}
                    <tr>
                        <form>
                            {% csrf_token %}
                            <input type="hidden" name="leave-id" value="{{leave.id}}">
                            <td> {{user.first_name}} {{user.last_name}}</td>
                            <td> {{user.email}}</td>
                            <td> {{user.mail_expiry}}</td>

                        </form>
                    </tr>
                    {% endfor %}
                </table>
                {% else %}
                <p>No expired emails </p>
                {% endif %}
            </div>
            {% endif %}
        </div>
    </div>
</section>

{% endblock content %}